TCC_CTRLBSET_Type Union Reference

## Data Fields

struct {
uint8_t DIR:1
uint8_t LUPD:1
uint8_t ONESHOT:1
uint8_t IDXCMD:2
uint8_t CMD:3
} | bit
uint8_t | reg

## Detailed Description

Definition at line 199 of file tcc.h.

## Field Documentation

## bit

struct { ... } TCC_CTRLBSET_Type::bit

Structure used for bit access

## CMD

uint8_t TCC_CTRLBSET_Type::CMD

bit: 5.. 7 TCC Command

Definition at line 205 of file tcc.h.

## DIR

uint8_t TCC_CTRLBSET_Type::DIR

bit: 0 Counter Direction

Definition at line 201 of file tcc.h.

## IDXCMD

uint8_t TCC_CTRLBSET_Type::IDXCMD

bit: 3.. 4 Ramp Index Command

Definition at line 204 of file tcc.h.

## LUPD

uint8_t TCC_CTRLBSET_Type::LUPD

bit: 1 Lock Update

Definition at line 202 of file tcc.h.

## ONESHOT

uint8_t TCC_CTRLBSET_Type::ONESHOT

bit: 2 One-Shot

Definition at line 203 of file tcc.h.

## reg

uint8_t TCC_CTRLBSET_Type::reg

Type used for register access

Definition at line 207 of file tcc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/tcc.h